Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class TransactionSummaryType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.TransactionSummaryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:22+01:00",
               comments="JAXB RI v2.2.11")
    public class TransactionSummaryType

extends Object
implements Serializable

Java class for TransactionSummaryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionSummaryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="isvalidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransactionSummaryType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`List<CDTRANSACTION>` | `getCds()` Gets the value of the cds property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
`org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`boolean` | `isIscomplete()` Gets the value of the iscomplete property.
`boolean` | `isIsvalidated()` Gets the value of the isvalidated property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setIscomplete(boolean value)` Sets the value of the iscomplete property.
`void` | `setIsvalidated(boolean value)` Sets the value of the isvalidated property.
`void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionSummaryType

    public TransactionSummaryType()

Method Detail

### getIds

    public List<IDKMEHR> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDKMEHR`

### getCds

    public List<CDTRANSACTION> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDTRANSACTION`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

### isIscomplete

    public boolean isIscomplete()

  Gets the value of the iscomplete property.

### setIscomplete

    public void setIscomplete(boolean value)

  Sets the value of the iscomplete property.

### isIsvalidated

    public boolean isIsvalidated()

  Gets the value of the isvalidated property.

### setIsvalidated

    public void setIsvalidated(boolean value)

  Sets the value of the isvalidated property.

### getRecorddatetime

    public org.joda.time.DateTime getRecorddatetime()

  Gets the value of the recorddatetime property.

  Returns:
    possible object is `String`

### setRecorddatetime

    public void setRecorddatetime(org.joda.time.DateTime value)

  Sets the value of the recorddatetime property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.